//hagyományos fgv
function fgvNeve() {
    //fgv törzse
}

//nyílfgv
let nyilFgvNeve = () => {
    //fgv törzse
}

//anonim fgv
(function () {
    //fgv törzse
});

//anonim fgv változóhoz rendelése
let anonimFgv = function() {
    //fgv törzse;
};

//anonim függvény hívása
anonimFgv();

//objektum esetén változóhoz rendelése a fgv-nek
objektumNeve = {
    nev : "Példa Péter",
    kiiras : function(){
        //fgv törzse
        console.log(this.nev);
    }
}
//objektumNeve.kiiras();

//anonim fgv változóhoz rendelése
let anonimFgvPelda = function() {
    console.log("pelda");
};

//anonim fgv hívása
//anonimFgvPelda();

//anonim fgv definíciójának kiírása
//console.log(anonimFgvPelda);

//anonim fgv paraméterátadás
(function (szam1, szam2) {
    //console.log(`Összeg: ${szam1 + szam2}`);
})(5, 10);

//anonim fgv paraméterátadás változókkal
let szam1 = 20;
let szam2 = 30;

(function (szam1, szam2) {
    //console.log(`Összeg: ${szam1 + szam2}`);
})(szam1, szam2);

//anonim nyílfüggvények eseménykezeléskor
//document.getElementById("gombID").addEventListener("click", () => {gombnyomasErzekelo();});

let gombnyomasErzekelo = () => {
    //document.getElementById("valaszID").innerHTML = "Megnyomtad a gombot!";
} 

//fgv hívása
fgvNeve();

//függvényhívás példa
function fgvNeve() {
    //fgv törzse
    //console.log("Akkor fut le, ha meghívjuk a fgv-t!");
}

//aszinkron fgv bemutatás
let inkr = 0;
let kiiratas = () => {
    inkr += 1;
    document.getElementById("valaszID").innerHTML = `${inkr}`;
}
setInterval(kiiratas, 3000);

